
#ifndef _COMMON_H_
#define _COMMON_H_

#include <stdint.h>

#define Q(x) #x
#define QUOTE(x) Q(x)

#define TRUE 1
#define FALSE 0

#define HOST_NAME "AirsoftTimer_%08X"

#define SHUTDOWN_DELAY_MS 5000
#define RESETABLE_AFTER_STARTUP_MS 30000

#define GPIO_LORA_TX D3
#define GPIO_LORA_RX D4
#define GPIO_LORA_AUX D0

#define GPIO_7SEG_EN_FAC1 D7
#define GPIO_7SEG_EN_FAC2 D6
#define GPIO_7SEG_EN_FAC3 D5
#define GPIO_7SEG_CLK D8

#define I2C_IO_BTN_FAC1 0
#define FAC_1_TRG_PRESSED LOW
#define I2C_IO_BTN_FAC2 1
#define FAC_2_TRG_PRESSED LOW
#define I2C_IO_BTN_FAC3 2
#define FAC_3_TRG_PRESSED LOW

#define I2C_IO_LORA_M0 4
#define I2C_IO_LORA_M1 3

#define EEPROM_TYPE 24LC64

#define I2C_IO_ADDRESS 0x38
#define I2C_POWER_ADDRESS 0x40
#define I2C_EEPROM_ADDRESS 0x50

#define SW_VERSION 1.0
#define FLASH_FS_VERSION 1.0

#ifndef OTA_DELAY
#define OTA_DELAY 50 // ticks -> 10ms / tick
#endif

#ifndef ADMIN_PASSWORD
#error "You need to define ADMIN_PASSWORD for OTA-Update"
#endif
#ifndef WIFI_PASSWORD
#error "You must define an WIFI_PASSWORD for OTA-Update"
#endif
#ifndef WIFI_SSID
#error "You must define an WIFI_SSID for OTA-Update"
#endif
#ifndef WIFI_AP_SSID
#warning "No WIFI_AP_SSID defined. Using DeviceName"
#define WIFI_AP_SSID DEVICE_NAME
#endif
#ifndef WIFI_AP_PASSWORD
#error "You must define an WIFI_AP_PASSWORD for Standalone AP-Mode"
#endif

#endif
